#!/bin/bash

docker-compose down --rmi all -v
docker-compose build --no-cache --parallel
docker-compose --env-file ./.env up -d --build
# need to wait for openvpn to generate configs
max_retry=40
counter=0

env_file=./.env
if [[ "$0" == "hop" ]]; then
  env_file=./.env.hopping
fi

until docker-compose --env-file $env_file exec client ping -c 3 -I tun0 8.8.8.8
do
   ((counter++))
   docker-compose logs --tail=20
   [[ counter -eq $max_retry ]] && echo "Failed!" && exit 1
   echo "Trying again. Try #$counter"
   sleep 30
done

